'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormInputFile = function FormInputFile(props) {

  var type = {
    button: _react2.default.createElement(
      'button',
      { className: 'uk-button' },
      props.body
    ),

    link: _react2.default.createElement(
      'a',
      null,
      props.body
    ),

    span: _react2.default.createElement(
      'span',
      null,
      props.body
    )
  };

  return _react2.default.createElement(
    'div',
    { className: 'uk-form-file' },
    type[props.type] || type.button,
    _react2.default.createElement('input', { type: 'file' })
  );
};

FormInputFile.propTypes = {
  body: _react2.default.PropTypes.string,
  type: _react2.default.PropTypes.oneOf(['button', 'link', 'span'])
};

exports.default = FormInputFile;